Bug 1573653 - [abrt] gnome-control-center: mem_error(): gnome-control-center killed by SIGABRT
Summary: [abrt] gnome-control-center: mem_error(): gnome-control-center killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7e164c66b9b79d10230c998b118...
: 1592197 1631584 1632008 1639061 1641316 1642416 (view as bug list)
Depends On:
Blocks: 1694979
TreeView+ depends on / blocked
 
Reported: 2018-05-01 21:13 UTC by Peter
Modified: 2019-05-28 23:52 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:52:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.98 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: core_backtrace (22.53 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: dso_list (29.52 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: environ (3.62 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: maps (129.98 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: mountinfo (3.79 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: open_fds (1.88 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-01 21:13 UTC, Peter
no flags Details

Description Peter 2018-05-01 21:13:19 UTC
Version-Release number of selected component:
gnome-control-center-3.28.1-2.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: mem_error
executable:     /usr/bin/gnome-control-center
journald_cursor: s=395a9a34135a45d6acbfca828955c1eb;i=3381;b=819c1cb12e474a7dad1c48dd79006b31;m=6df93f8f;t=56b2b60393aa9;x=e1390ecb8ec3094
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Peter 2018-05-01 21:13:24 UTC
Created attachment 1429543 [details]
File: backtrace

Comment 2 Peter 2018-05-01 21:13:26 UTC
Created attachment 1429544 [details]
File: cgroup

Comment 3 Peter 2018-05-01 21:13:27 UTC
Created attachment 1429545 [details]
File: core_backtrace

Comment 4 Peter 2018-05-01 21:13:29 UTC
Created attachment 1429546 [details]
File: cpuinfo

Comment 5 Peter 2018-05-01 21:13:30 UTC
Created attachment 1429547 [details]
File: dso_list

Comment 6 Peter 2018-05-01 21:13:32 UTC
Created attachment 1429548 [details]
File: environ

Comment 7 Peter 2018-05-01 21:13:33 UTC
Created attachment 1429549 [details]
File: limits

Comment 8 Peter 2018-05-01 21:13:35 UTC
Created attachment 1429550 [details]
File: maps

Comment 9 Peter 2018-05-01 21:13:36 UTC
Created attachment 1429551 [details]
File: mountinfo

Comment 10 Peter 2018-05-01 21:13:37 UTC
Created attachment 1429552 [details]
File: open_fds

Comment 11 Peter 2018-05-01 21:13:39 UTC
Created attachment 1429553 [details]
File: proc_pid_status

Comment 12 Giacomo Longo 2018-05-17 18:14:40 UTC
Similar problem has been detected:

I have added my printer and printed the test page

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        gnome-control-center printers
crash_function: mem_error
executable:     /usr/bin/gnome-control-center
journald_cursor: s=4ed1abb86f76425f8a1750c288079fb3;i=753dd;b=8cf9e885f86d41e68053a6fd600340d1;m=135dda60;t=56c6aa69b68c4;x=d0a5b02d37b98a2f
kernel:         4.16.8-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 A.J. Bonnema 2018-06-06 06:32:03 UTC
Similar problem has been detected:

Installed brother dcp 7070d driver. When printing a test page from settings, this crash occurred.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: mem_error
executable:     /usr/bin/gnome-control-center
journald_cursor: s=8b59a1e3137a43a3a3c14157aacf14f6;i=67f14;b=c37db46468144f76bfb5839266147185;m=4c53156d9a;t=56df33791f1af;x=6ef0cf848594de13
kernel:         4.16.12-300.fc28.x86_64
package:        gnome-control-center-3.28.2-1.fc28
reason:         gnome-control-center killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 mswal28462 2018-06-11 22:48:42 UTC
Similar problem has been detected:

Just defined and printed a test page.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center printers
crash_function: mem_error
executable:     /usr/bin/gnome-control-center
journald_cursor: s=7a2c840d69ed4646ab4f4a76db005f62;i=4d658;b=1af6fc04d21e42c38964dd85235fa6e8;m=49c51ceb4;t=56e6574cd6c99;x=6d9e585b71d8e261
kernel:         4.16.14-300.fc28.x86_64
package:        gnome-control-center-3.28.2-1.fc28
reason:         gnome-control-center killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 A.J. Bonnema 2018-06-12 03:35:21 UTC
In my case the abort seems not to happen if I use the ip address when defining the printer. I can print the testpage fine now. The problem persists only when using the other mechanism to find the printer, i.e. gnome-settings discovers the printer itself.

I hope this helps in discovering the problem.

Comment 16 fabsyl57390 2018-06-18 07:34:00 UTC
*** Bug 1592197 has been marked as a duplicate of this bug. ***

Comment 17 Kyle Conway 2018-09-21 01:14:43 UTC
*** Bug 1631584 has been marked as a duplicate of this bug. ***

Comment 18 mitchell_ota 2018-09-23 09:53:27 UTC
*** Bug 1632008 has been marked as a duplicate of this bug. ***

Comment 19 Petr Hložek 2018-10-09 13:33:17 UTC
Similar problem has been detected:

Opened printer settings, clicked to wheel, then closed and printer window crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center printers
crash_function: mem_error
executable:     /usr/bin/gnome-control-center
journald_cursor: s=e91a42de06014d22bd32630f355e0b67;i=324ac6;b=119b7d5957fe43e196793be3d6823180;m=4bf06979ca;t=577cb352b250c;x=b96f2ca87ccd45d3
kernel:         4.18.10-200.fc28.x86_64
package:        gnome-control-center-3.28.2-1.fc28
reason:         gnome-control-center killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 omcan 2018-10-14 23:25:17 UTC
*** Bug 1639061 has been marked as a duplicate of this bug. ***

Comment 21 Jeff Linahan 2018-10-21 03:59:10 UTC
*** Bug 1641316 has been marked as a duplicate of this bug. ***

Comment 22 Ciprian Mic 2018-10-24 11:38:38 UTC
*** Bug 1642416 has been marked as a duplicate of this bug. ***

Comment 23 joev.mi 2019-04-01 19:44:36 UTC
Similar problem has been detected:

I clicked test printer in the gui interface for settings

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: mem_error
executable:     /usr/bin/gnome-control-center
journald_cursor: s=2a44586a6c4a491f8c8780c38f5954ad;i=d100e2;b=26ada197b6374bf1bb457536393be41e;m=35e2d0111;t=5857d17ef0441;x=fddfbb304892e301
kernel:         4.20.17-100.fc28.x86_64
package:        gnome-control-center-3.28.2-1.fc28
reason:         gnome-control-center killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 Jan Vlug 2019-04-04 06:33:04 UTC
See bug 1694979#c4 and bug 1694979#c5 on how to reproduce this crash.

Comment 25 Ben Cotton 2019-05-02 19:43:16 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Ben Cotton 2019-05-28 23:52:49 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.